package org.academiadecodigo.bootcamp11.sniperelite;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public enum ObjectType {
    SOLDIER(1.0, "Hapless soldier"),
    ARMORED(0.3, "Armored soldier"),
    TREE(0.1, "Hardy tree");

    private double spawnChance;
    private String name;

    ObjectType(double spawnChance, String name) {
        this.spawnChance = spawnChance;
        this.name = name;
    }

    public double getSpawnChance() {
        return this.spawnChance;
    }

    @Override
    public String toString() {
        return this.name;
    }
}
